package de.tudarmstadt.informatik.hostage.model;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

import de.tudarmstadt.informatik.hostage.ui2.activity.MainActivity;

/**
 * @author Alexander Brakowski
 * @created 14.01.14 18:04
 */
public class Profile {
	public String label;
	public String text;
	public int id;
	public boolean activated;
	public Bitmap icon;

	public boolean isBackVisible = false;
	public boolean editable = false;

	public Profile(int id, String text, String label, Bitmap icon, boolean editable){
		this.id = id;
		this.text = text;
		this.label = label;
		this.activated = false;
		this.icon = icon;
		this.editable = editable;
	}

	public Profile(int id, String text, String label, int icon, boolean editable){
		this(id, text, label, BitmapFactory.decodeResource(MainActivity.context.getResources(), icon), editable);
	}

	public void setIcon(Bitmap bitmap){
		this.icon = bitmap;
	}

	public void setIcon(int icon){
		this.icon = BitmapFactory.decodeResource(MainActivity.context.getResources(), icon);
	}

	public boolean isEditable(){
		return this.editable;
	}

	public Profile cloneProfile(){
		return new Profile(id, text, label, icon, editable);
	}
}